com.sun.jna.platform.win32

## Class WinBase.SYSTEM_INFO.PI

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.SYSTEM_INFO.PI

- Direct Known Subclasses:
    WinBase.SYSTEM_INFO.PI.ByReference
  Enclosing class:
    WinBase.SYSTEM_INFO

      @Structure.FieldOrder(value={"wProcessorArchitecture","wReserved"})
      public static class WinBase.SYSTEM_INFO.PI
      extends Structure

  Unnamed inner structure.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinBase.SYSTEM_INFO.PI.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WinDef.WORD` | `wProcessorArchitecture` System's processor architecture.
    `WinDef.WORD` | `wReserved` Reserved for future use.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PI()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### wProcessorArchitecture

          public WinDef.WORD wProcessorArchitecture

      System's processor architecture. This value can be one of the following values: PROCESSOR_ARCHITECTURE_UNKNOWN PROCESSOR_ARCHITECTURE_INTEL PROCESSOR_ARCHITECTURE_IA64 PROCESSOR_ARCHITECTURE_AMD64

    - #### wReserved

          public WinDef.WORD wReserved

      Reserved for future use.

  - ### Constructor Detail

    - #### PI

          public PI()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.